Subject: Re: bug#15012: 23.3; read-char inappropriate echo area content

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Aug 2019 17:42:32 +0300

reopen 15012
thanks

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 14 Aug 2019 20:57:42 -0700
> Cc: [email-masked]
> 
> Bob Newell <[email-masked]> writes:
> 
> > Because if you run this:
> >
> > (defun minimal-function ()
> >   (interactive)
> >     (while t
> >       (read-char-exclusive)
> >     )
> > )
> >
> > everything you've typed since you've invoked the function shows up in
> > the echo area, like this:
> >
> > ESC x m i n i m a l - f u n c t i o n RET a b c d e f g    (etc.)
> 
> (I'm going through old bug reports that have unfortunately gotten no
> responses yet.)
> 
> I tried reproducing this bug in Emacs 27, but was unable to, so I'm
> assuming it's fixed and is closing this bug report.  If you're still
> seeing this, please reopen.

I can reproduce it very easily, both in Emacs 26 and 27.  I wonder how
come you couldn't.

I don't think it's a bug, though: that's how character echoing works
in Emacs.  It is even kinda-documented in the ELisp manual, under
read-event.

I've reopened the bug, but if people agree this is established and
documented (albeit perhaps surprising) behavior, I think it should be
closed as wontfix.

Thanks.